name: wizardly_max
services:
  main_app:
    cpu_shares: 10
    command:
      - serve
    container_name: ollama
    deploy:
      resources:
        limits:
          memory: 1866M
    image: ollama/ollama:latest
    labels:
      icon: https://media.licdn.com/dms/image/D5612AQEOULWgnVbBRA/article-cover_image-shrink_720_1280/0/1713098774047?e=2147483647&v=beta&t=CkZ3jELv2aFsaN5rJcI3yb-hAIF0niEje1Ol-SR3b30
    ports:
      - target: 11434
        published: "11434"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/ollama
        target: /root/.ollama
    devices: []
    cap_add: []
    environment: []
    network_mode: bridge
    privileged: false
    hostname: ollama
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://media.licdn.com/dms/image/D5612AQEOULWgnVbBRA/article-cover_image-shrink_720_1280/0/1713098774047?e=2147483647&v=beta&t=CkZ3jELv2aFsaN5rJcI3yb-hAIF0niEje1Ol-SR3b30
  index: /
  is_uncontrolled: false
  port_map: "11434"
  scheme: http
  store_app_id: wizardly_max
  title:
    custom: ollama
